> ## Documentation Index
> Fetch the complete documentation index at: https://foreverbetter.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a health goal

> Create a health goal (target metric, direction, value, and optional due date) for a user.



## OpenAPI

````yaml https://api.foreverbetter.xyz/openapi.json post /users/{user_id}/goals
openapi: 3.1.0
info:
  title: ForeverBetter API
  version: 0.4.8
  description: >-
    ForeverBetter API and MCP-compatible service for genetics, biomarkers,
    wearables, lab locator handoffs, and dashboard specs.
servers:
  - url: https://api.foreverbetter.xyz
security:
  - bearerAuth: []
paths:
  /users/{user_id}/goals:
    post:
      summary: Create a health goal
      description: >-
        Create a health goal (target metric, direction, value, and optional due
        date) for a user.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - title
              additionalProperties: false
              properties:
                organization_id:
                  type: string
                  minLength: 1
                title:
                  type: string
                  minLength: 1
                metric:
                  type: string
                  description: >-
                    Marker or domain the goal targets, e.g. apob or
                    body_fat_percent.
                target_value:
                  type: number
                target_unit:
                  type: string
                target_direction:
                  type: string
                  enum:
                    - decrease
                    - increase
                    - maintain
                due_date:
                  type: string
                  description: ISO date the user is aiming for.
                note:
                  type: string
      responses:
        '201':
          description: Created
        '400':
          description: Invalid request or source modality
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Source not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````